Page MenuHomePhabricator

Performance survey shouldn't appear on category page
Closed, ResolvedPublic

Description

It currently does, because mw.config.get( 'wgIsArticle' ) is true for category pages.

Details

Related Gerrit Patches:
mediawiki/extensions/NavigationTiming : masterTighten performance survey display conditions

Event Timeline

Gilles triaged this task as Medium priority.Jun 8 2018, 7:43 PM
Gilles created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2018, 7:43 PM

Change 439306 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Tighten performance survey display conditions

https://gerrit.wikimedia.org/r/439306

Change 439306 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Tighten performance survey display conditions

https://gerrit.wikimedia.org/r/439306

Gilles moved this task from Inbox to Doing on the Performance-Team board.Jun 11 2018, 7:57 PM
Gilles closed this task as Resolved.Jun 22 2018, 4:56 PM

Fix worked:

SELECT COUNT(*) AS COUNT FROM event.quicksurveysresponses q INNER JOIN event.navigationtiming n ON q.event.surveyInstanceToken = n.event.stickyRandomSessionId WHERE q.year = 2018 AND n.year = 2018 AND n.month = 6 AND n.day > 15 AND q.event.surveyCodeName = "perceived-performance-survey" AND n.event.namespaceId <> 0;

count
0
Vvjjkkii renamed this task from Performance survey shouldn't appear on category pages to fdbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Gilles as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Lofhi renamed this task from fdbaaaaaaa to Performance survey shouldn't appear on category page.Jul 1 2018, 6:45 AM
Lofhi closed this task as Resolved.
Lofhi assigned this task to Gilles.
Lofhi lowered the priority of this task from High to Medium.
Lofhi updated the task description. (Show Details)
Lofhi added subscribers: gerritbot, Aklapper.